path: /build/build/kguiaddons-kde-frameworks-5-5.111.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc -test prefix wayland" emerge kde-frameworks/kguiaddons:5 -pv -t && \
    USE="-doc -test prefix wayland" emerge -j ${JOBS} --nodeps kde-frameworks/kguiaddons:5
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/kguiaddons && luet-portage --dir /pkgdir/kguiaddons
    kde-frameworks/kguiaddons:5 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:4d81292931e88b4bb8c2973f4adf9529465e3d4d45b81d896f03e11155354036
  package:
    name: kguiaddons
    version: 5.111.0
    category: kde-frameworks-5
    use_flags:
    - -doc
    - -test
    - prefix
    - wayland
    requires:
    - name: kdesignerplugin
      version: '>=0'
      category: kde-frameworks-5
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Framework providing assorted high-level user interface components
    uri:
    - https://kde.org/
    license: LGPL-2+
    buildtimestamp: 2024-02-09 00:45:59.728880499 +0000 UTC m=+124.115888153
    labels:
      BDEPEND: dev-util/ninja >=dev-util/cmake-3.9.6 test? ( !prefix? ( x11-base/xorg-server[xvfb]
        ) x11-apps/xhost ) >=kde-frameworks/extra-cmake-modules-5.111:5 doc? ( >=dev-qt/qthelp-5.15.1:5
        >=app-doc/doxygen-1.8.13-r1 )
      DEPEND: '>=dev-qt/qtdbus-5.15.1:5 >=dev-qt/qtgui-5.15.1:5 >=dev-qt/qtx11extras-5.15.1:5
        x11-libs/libX11 wayland? ( >=dev-qt/qtgui-5.15.1:5[wayland] dev-libs/wayland
        >=dev-qt/qtwayland-5.15.1:5 ) x11-base/xorg-proto wayland? ( >=dev-libs/plasma-wayland-protocols-1.7.0
        ) x11-libs/libxcb dev-util/desktop-file-utils x11-misc/shared-mime-info test?
        ( >=dev-qt/qttest-5.15.1:5 ) >=dev-qt/qtcore-5.15.1:5 doc? ( >=dev-qt/qt-docs-5.15.1:5
        ) dev-util/desktop-file-utils'
      IUSE: wayland test debug doc test
      RDEPEND: '>=dev-qt/qtdbus-5.15.1:5 >=dev-qt/qtgui-5.15.1:5 >=dev-qt/qtx11extras-5.15.1:5
        x11-libs/libX11 wayland? ( >=dev-qt/qtgui-5.15.1:5[wayland] dev-libs/wayland
        >=dev-qt/qtwayland-5.15.1:5 ) >=kde-frameworks/kf-env-4 || ( >=kde-frameworks/breeze-icons-5.111:5
        kde-frameworks/oxygen-icons:* ) >=dev-qt/qtcore-5.15.1:5 doc? ( >=dev-qt/qt-docs-5.15.1:5
        )'
      emerge.packages: kde-frameworks/kguiaddons:5
      kit: kde-kit
      original.package.name: kde-frameworks/kguiaddons
      original.package.slot: "5"
      original.package.version: 5.111.0
    treedir: /build/packages
  package_dir: /pkgdir/kguiaddons
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 40b145ff30b97ca002227e5350a6a3b35159db377305aa0e5e443d3d3d40b63d
compressiontype: zstd
files:
- usr/bin/kde-geo-uri-handler
- usr/include/KF5/KGuiAddons/KColorCollection
- usr/include/KF5/KGuiAddons/KColorMimeData
- usr/include/KF5/KGuiAddons/KColorSchemeWatcher
- usr/include/KF5/KGuiAddons/KColorUtils
- usr/include/KF5/KGuiAddons/KCursorSaver
- usr/include/KF5/KGuiAddons/KDateValidator
- usr/include/KF5/KGuiAddons/KFontUtils
- usr/include/KF5/KGuiAddons/KIconUtils
- usr/include/KF5/KGuiAddons/KImageCache
- usr/include/KF5/KGuiAddons/KModifierKeyInfo
- usr/include/KF5/KGuiAddons/KSystemClipboard
- usr/include/KF5/KGuiAddons/KWordWrap
- usr/include/KF5/KGuiAddons/KeySequenceRecorder
- usr/include/KF5/KGuiAddons/kcolorcollection.h
- usr/include/KF5/KGuiAddons/kcolormimedata.h
- usr/include/KF5/KGuiAddons/kcolorschemewatcher.h
- usr/include/KF5/KGuiAddons/kcolorutils.h
- usr/include/KF5/KGuiAddons/kcursorsaver.h
- usr/include/KF5/KGuiAddons/kdatevalidator.h
- usr/include/KF5/KGuiAddons/keysequencerecorder.h
- usr/include/KF5/KGuiAddons/kfontutils.h
- usr/include/KF5/KGuiAddons/kguiaddons_export.h
- usr/include/KF5/KGuiAddons/kguiaddons_version.h
- usr/include/KF5/KGuiAddons/kiconutils.h
- usr/include/KF5/KGuiAddons/kimagecache.h
- usr/include/KF5/KGuiAddons/klocalimagecacheimpl.h
- usr/include/KF5/KGuiAddons/kmodifierkeyinfo.h
- usr/include/KF5/KGuiAddons/kmodifierkeyinfoprovider_p.h
- usr/include/KF5/KGuiAddons/ksystemclipboard.h
- usr/include/KF5/KGuiAddons/kwordwrap.h
- usr/lib64/cmake/KF5GuiAddons/KF5GuiAddonsConfig.cmake
- usr/lib64/cmake/KF5GuiAddons/KF5GuiAddonsConfigVersion.cmake
- usr/lib64/cmake/KF5GuiAddons/KF5GuiAddonsTargets-gentoo.cmake
- usr/lib64/cmake/KF5GuiAddons/KF5GuiAddonsTargets.cmake
- usr/lib64/libKF5GuiAddons.so
- usr/lib64/libKF5GuiAddons.so.5
- usr/lib64/libKF5GuiAddons.so.5.111.0
- usr/lib64/qt5/mkspecs/modules/qt_KGuiAddons.pri
- usr/share/applications/google-maps-geo-handler.desktop
- usr/share/applications/openstreetmap-geo-handler.desktop
- usr/share/applications/qwant-maps-geo-handler.desktop
- usr/share/applications/wheelmap-geo-handler.desktop
- usr/share/doc/kguiaddons-5.111.0/README.md.bz2
- usr/share/doc/kguiaddons-5.111.0/README.md.license.bz2
- usr/share/qlogging-categories5/kguiaddons.categories
- var/db/pkg/kde-frameworks/kguiaddons-5.111.0/BDEPEND
- var/db/pkg/kde-frameworks/kguiaddons-5.111.0/BUILD_TIME
- var/db/pkg/kde-frameworks/kguiaddons-5.111.0/CATEGORY
- var/db/pkg/kde-frameworks/kguiaddons-5.111.0/CBUILD
- var/db/pkg/kde-frameworks/kguiaddons-5.111.0/CFLAGS
- var/db/pkg/kde-frameworks/kguiaddons-5.111.0/CHOST
- var/db/pkg/kde-frameworks/kguiaddons-5.111.0/CONTENTS
- var/db/pkg/kde-frameworks/kguiaddons-5.111.0/COUNTER
- var/db/pkg/kde-frameworks/kguiaddons-5.111.0/CXXFLAGS
- var/db/pkg/kde-frameworks/kguiaddons-5.111.0/DEFINED_PHASES
- var/db/pkg/kde-frameworks/kguiaddons-5.111.0/DEPEND
- var/db/pkg/kde-frameworks/kguiaddons-5.111.0/DESCRIPTION
- var/db/pkg/kde-frameworks/kguiaddons-5.111.0/EAPI
- var/db/pkg/kde-frameworks/kguiaddons-5.111.0/FEATURES
- var/db/pkg/kde-frameworks/kguiaddons-5.111.0/HOMEPAGE
- var/db/pkg/kde-frameworks/kguiaddons-5.111.0/INHERITED
- var/db/pkg/kde-frameworks/kguiaddons-5.111.0/IUSE
- var/db/pkg/kde-frameworks/kguiaddons-5.111.0/IUSE_EFFECTIVE
- var/db/pkg/kde-frameworks/kguiaddons-5.111.0/KEYWORDS
- var/db/pkg/kde-frameworks/kguiaddons-5.111.0/LDFLAGS
- var/db/pkg/kde-frameworks/kguiaddons-5.111.0/LICENSE
- var/db/pkg/kde-frameworks/kguiaddons-5.111.0/NEEDED
- var/db/pkg/kde-frameworks/kguiaddons-5.111.0/PF
- var/db/pkg/kde-frameworks/kguiaddons-5.111.0/PROVIDES
- var/db/pkg/kde-frameworks/kguiaddons-5.111.0/RDEPEND
- var/db/pkg/kde-frameworks/kguiaddons-5.111.0/REQUIRES
- var/db/pkg/kde-frameworks/kguiaddons-5.111.0/SIZE
- var/db/pkg/kde-frameworks/kguiaddons-5.111.0/SLOT
- var/db/pkg/kde-frameworks/kguiaddons-5.111.0/USE
- var/db/pkg/kde-frameworks/kguiaddons-5.111.0/environment.bz2
- var/db/pkg/kde-frameworks/kguiaddons-5.111.0/kguiaddons-5.111.0.ebuild
- var/db/pkg/kde-frameworks/kguiaddons-5.111.0/repository
package_cacheimage: ""
runtime:
  name: kguiaddons
  version: 5.111.0
  category: kde-frameworks-5
  use_flags:
  - -doc
  - -test
  - prefix
  - wayland
  requires:
  - name: qtwayland
    version: '>=0'
    category: dev-qt-5
  - name: qtx11extras
    version: '>=0'
    category: dev-qt-5
  - name: breeze-icons
    version: '>=0'
    category: kde-frameworks-5
  - name: libX11
    version: '>=0'
    category: x11-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Framework providing assorted high-level user interface components
  uri:
  - https://kde.org/
  license: LGPL-2+
  labels:
    BDEPEND: dev-util/ninja >=dev-util/cmake-3.9.6 test? ( !prefix? ( x11-base/xorg-server[xvfb]
      ) x11-apps/xhost ) >=kde-frameworks/extra-cmake-modules-5.111:5 doc? ( >=dev-qt/qthelp-5.15.1:5
      >=app-doc/doxygen-1.8.13-r1 )
    DEPEND: '>=dev-qt/qtdbus-5.15.1:5 >=dev-qt/qtgui-5.15.1:5 >=dev-qt/qtx11extras-5.15.1:5
      x11-libs/libX11 wayland? ( >=dev-qt/qtgui-5.15.1:5[wayland] dev-libs/wayland
      >=dev-qt/qtwayland-5.15.1:5 ) x11-base/xorg-proto wayland? ( >=dev-libs/plasma-wayland-protocols-1.7.0
      ) x11-libs/libxcb dev-util/desktop-file-utils x11-misc/shared-mime-info test?
      ( >=dev-qt/qttest-5.15.1:5 ) >=dev-qt/qtcore-5.15.1:5 doc? ( >=dev-qt/qt-docs-5.15.1:5
      ) dev-util/desktop-file-utils'
    IUSE: wayland test debug doc test
    RDEPEND: '>=dev-qt/qtdbus-5.15.1:5 >=dev-qt/qtgui-5.15.1:5 >=dev-qt/qtx11extras-5.15.1:5
      x11-libs/libX11 wayland? ( >=dev-qt/qtgui-5.15.1:5[wayland] dev-libs/wayland
      >=dev-qt/qtwayland-5.15.1:5 ) >=kde-frameworks/kf-env-4 || ( >=kde-frameworks/breeze-icons-5.111:5
      kde-frameworks/oxygen-icons:* ) >=dev-qt/qtcore-5.15.1:5 doc? ( >=dev-qt/qt-docs-5.15.1:5
      )'
    emerge.packages: kde-frameworks/kguiaddons:5
    kit: kde-kit
    original.package.name: kde-frameworks/kguiaddons
    original.package.slot: "5"
    original.package.version: 5.111.0
